Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.war.model
Class TreeHelper

    java.lang.Object
      com.jaspersoft.jasperserver.war.model.TreeHelper

    public class TreeHelper

extends java.lang.Object

This class provides a set of convenient static methods to make tree related operation easier to perform

Author:
  asokolnikov

Constructor Summary
`TreeHelper()`

Method Summary
`static TreeNode` | `getSubtree(ExecutionContext executionContext, TreeDataProvider dataProvider, java.lang.String rootUri, java.util.List prefetchedUris)` Returns a subtree from a given root URI.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TreeHelper

    public TreeHelper()

Method Detail

### getSubtree

    public static TreeNode getSubtree(ExecutionContext executionContext,
                                      TreeDataProvider dataProvider,
                                      java.lang.String rootUri,
                                      java.util.List prefetchedUris)

  Returns a subtree from a given root URI. Subtree will include all child nodes for a given prefetchedUri list. If a uri does not belong to rootUri subtree, it gets ignored. Root Node and each intermediate node will have all its immediate children loaded. Typical example for using the method could be UI which requires to show some nodes selected after tree gets displayed. It guarantees that selected nodes are fetched, otherwise children get loaded on demand.

  Parameters:
    `executionContext` - ExecutionContext instance
    `dataProvider` - Data Provider for a tree
    `rootUri` - the root of requested subtree (could be "/")
    `prefetchedUris` - list of all children at any hierarchy depth requested to be loaded
  Returns:
    root node for subtree

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.